
# NOTE: build against: rhgs-c*-rhel-*-docs-candidate

%global product Red_Hat_Storage
%global product_line 3.1
%global version %{product_line}.0
%global release 1%{?dist}

%global manualdir %{_docdir}/%{name}/manual
%global locale en-US
%global beta 0
%global doc_product_line 3.1
%global doc_product_line_path 3
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:           rhsc-doc
Version:        %{version}
Release:        %{release}
Summary:        Red Hat Storage Console documentation
Group:          Documentation
License:        CC-BY-SA
URL:            http://docs.redhat.com
Source:         %{name}-%{version}.tar.gz
Source1:        %{name}-index-%{version}.000.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
BuildRequires:	python-argparse
BuildRequires:	Red_Hat_Storage-Console_Administration_Guide-%{doc_product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Storage-Console_Installation_Guide-%{doc_product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Storage-Console_Command_Line_Shell_Guide-%{doc_product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Storage-Console_Developer_Guide-%{doc_product_line}%{?depsuffix}-web-%{locale}

%description
This package contains the Red Hat Storage Console documentation in
html and pdf format.

%prep
%setup -q -c -n rhsc-doc
%setup -q -T -a 1 -c -n rhsc-doc-index

%build
make

%install
rm -rf "%{buildroot}"
cd "%{_builddir}"
make -C rhsc-doc-index install DESTDIR="%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"
cp -r rhsc-doc/RedHat rhsc-doc/common "%{buildroot}%{manualdir}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Storage/*/html "%{buildroot}%{manualdir}/%{locale}" || /bin/true
cp -r /var/www/html/docs/%{locale}/Red_Hat_Storage/*/pdf "%{buildroot}%{manualdir}/%{locale}" || /bin/true
cp -r /var/www/html/site/documentation/%{locale}/Red_Hat_Storage/*/html "%{buildroot}%{manualdir}/%{locale}" || /bin/true
cp -r /var/www/html/site/documentation/%{locale}/Red_Hat_Storage/*/pdf "%{buildroot}%{manualdir}/%{locale}" || /bin/true

# PDF files contain the version in their filename. We don't want to include the full version in pdf file.
# We just need the major version
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{doc_product_line}-/%{product}-%{doc_product_line_path}-/')"
done

find "%{buildroot}%{manualdir}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf
%{manualdir}/

%changelog
* Mon Jul 27 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.1.0-1
- Resolves: rhbz#1245896 - Final rebuild for rhgs-c 3.1

* Thu Jul 23 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.1.0-0
- Resolves: rhbz#1245896 - Rebuild rhsc-doc with latest docs

* Fri Mar 20 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-4
- Resolves: rhbz#1174617 rhbz#1176490 rhbz#1202476 rhbz#1134185

* Tue Feb 24 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-3
- fix bz #1194570

* Thu Feb 19 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-2
- fix bz #1188614 1191050 1177720 1189397

* Wed Feb 11 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-1
- fix bz #1177883

* Wed Dec 24 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-7
- fix for Bugzilla #1161558 #1161068 #1161414 #1164685 #1166529
  #1166606

* Wed Oct 29 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-6
- fix for Bugzilla #1146047 #1157946

* Wed Sep 24 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-5
- fixing link issues for tags and view hook content

* Tue Sep 23 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-4
- fix for Bugzilla #1144271

* Wed Sep 10 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-3
- Rebuilding the docs with 'rhs' suffix

* Wed Aug 27 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-2
- Rebuilding the docs with the latest documentation

* Thu May 15 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0
- Updating the doc accoriding to rhevm-doc 3.4

* Fri Feb 14 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-9
- updated DocumentationPath.csv to include stop_rebalance link

* Mon Jan 27 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-8
- updated DocumentationPath.csv

* Mon Dec 30 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-7
- updated DocumentationPath.csv

* Thu Dec 26 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-6
- updated DocumentationPath.csv

* Thu Dec 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-5
- added dependency Red_Hat_Storage-Console_Developer_Guide

* Wed Dec 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-4
- added dependencies Red_Hat_Storage-Console_Installation_Guide and
  Red_Hat_Storage-Console_Command_Line_Shell_Guide

* Fri Nov 15 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-3
- updated DocumentationPath.csv

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-2
- fix install error

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-1
- initial build
